Subject: Re: bug#7509: 24.0.50; doc for `comment-style' and `comment-styles'

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Nov 2010 17:06:23 -0500

> I came across some variable definition weirdness (unrelated to this
> bug):

I must say I have no idea how you got into such a mess.  My only
explanation would be that some part of the patch did not apply properly.

> Seems there is something buggy about the Customize code or C-M-x or
> both.  C-M-x on a defcustom or a defconst in file foo.el should not
> give a *Help* buffer that says that the var is defined in file bar.el,
> and it should not give the doc from a definition in bar.el.

AFAIK, none of those things occur in my usage.

> What's the magic to competely undo a defcustom or defconst - `makunbound'
> doesn't seem to be enough.

There's no such magic.

> Can you please give me an example of each style, for
> a context/language appropriate to that style?  Then I can try to
> suggest better one-liner descriptions.  If the behavior is different
> depending on whether comment-end is nil, then give me an example of
> each behavior.

>From memory: feel free to test them in a C-mode buffer.

plain:

/*      blabla */
/*      bla */

indent

     /* blabla */
     /* bla */
     
multi-line

     /* blabla
      * bla */

extra-line      
      
     /*
      * blabla
      * bla
      */

aligned

     /* blabla */
     /* bla    */
     
box

     /**********/
     /* blabla */
     /* bla    */
     /**********/

box-multi     
     
     /**********
      * blabla *
      * bla    *
      **********/

When comment-end is the empty string,
indent=multi-line=extra-line=aligned and box=box-multi.

        Stefan